View Issue Details

IDProjectCategoryView StatusLast Update
0031009Open CASCADEOCCT:Modeling Algorithmspublic2022-04-10 10:50
Reporterabv Assigned Toazv 
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0031009: Modeling Algorithms - alloc-dealloc-mismatch reported by Clang address sanitizer in IntCurvesFace_ShapeIntersector
DescriptionWhen running OCCT built on Linux with Clang with option -fsanitize=address, error alloc-dealloc-mismatch is reported on test bugs moddata_1 bug17424:

OCC17424 a 86.960439048069262 1028.2863798310484 -266.58526583558000 0.25881904510252074 0 -0.96592582628906831 0.
=================================================================
==3012==ERROR: AddressSanitizer: alloc-dealloc-mismatch (operator new [] vs operator delete) on 0x6040000aae10
    #0 0x5174e0 in operator delete(void*) (/home/abv/tmp/occt-clang/lin64/clang/bini/DRAWEXE-7.4.0+0x5174e0)
    0000001 0x7fed0aa00cda in IntCurvesFace_ShapeIntersector::Destroy() /home/abv/occt/src/IntCurvesFace/IntCurvesFace_ShapeIntersector.cxx:59:5
    0000002 0x7fecf96f95ce in IntCurvesFace_ShapeIntersector::~IntCurvesFace_ShapeIntersector() /home/abv/occt/src/IntCurvesFace/IntCurvesFace_ShapeIntersector.hxx:118:3
    #3 0x7fecf96dadd5 in OCC17424(Draw_Interpretor&, int, char const**) /home/abv/occt/src/QABugs/QABugs_11.cxx:4564:1
    #4 0x7fed0c24c349 in Draw_Interpretor::CallBackDataFunc::Invoke(Draw_Interpretor&, int, char const**) /home/abv/occt/src/Draw/Draw_Interpretor.hxx:81:31
    #5 0x7fed0c259b7d in CommandCmd(void*, Tcl_Interp*, int, char const**) /home/abv/occt/src/Draw/Draw_Interpretor.cxx:154:40
    #6 0x7fed065e9b95 in TclInvokeStringCommand (/usr/lib/x86_64-linux-gnu/libtcl8.6.so+0x38b95)
    0000007 0x7fed065ebfa6 in TclNRRunCallbacks (/usr/lib/x86_64-linux-gnu/libtcl8.6.so+0x3afa6)
    0000008 0x7fed0668a87a in Tcl_RecordAndEvalObj (/usr/lib/x86_64-linux-gnu/libtcl8.6.so+0xd987a)
    0000009 0x7fed0668a756 in Tcl_RecordAndEval (/usr/lib/x86_64-linux-gnu/libtcl8.6.so+0xd9756)
    #10 0x7fed0c25b0bf in Draw_Interpretor::RecordAndEval(char const*, int) /home/abv/occt/src/Draw/Draw_Interpretor.cxx:496:10
    0000011 0x7fed0c241dad in Draw_Interprete(char const*) /home/abv/occt/src/Draw/Draw.cxx:608:19
    #12 0x7fed0c242b90 in interpreteTclCommand(TCollection_AsciiString const&) /home/abv/occt/src/Draw/Draw.cxx:110:5
    0000013 0x7fed0c24037b in ReadInitFile(TCollection_AsciiString const&) /home/abv/occt/src/Draw/Draw.cxx:121:3
    0000014 0x7fed0c23f973 in Draw_Appli(int, char**, void (*)(Draw_Interpretor&)) /home/abv/occt/src/Draw/Draw.cxx:497:5
    0000015 0x7fed0c25c328 in Draw_Main(int, char**, void (*)(Draw_Interpretor&)) /home/abv/occt/src/Draw/Draw_Main.cxx:113:3
    0000016 0x51aaef in main /home/abv/occt/src/DRAWEXE/DRAWEXE.cxx:33:1
    0000017 0x7fed0501582f in __libc_start_main /build/glibc-Cl5G7W/glibc-2.23/csu/../csu/libc-start.c:291
    0000018 0x41aac8 in _start (/home/abv/tmp/occt-clang/lin64/clang/bini/DRAWEXE-7.4.0+0x41aac8)

0x6040000aae10 is located 0 bytes inside of 40-byte region [0x6040000aae10,0x6040000aae38)
allocated by thread T0 here:
    #0 0x516918 in operator new[](unsigned long) (/home/abv/tmp/occt-clang/lin64/clang/bini/DRAWEXE-7.4.0+0x516918)
    0000001 0x7fed0aa01b9f in IntCurvesFace_ShapeIntersector::PerformNearest(gp_Lin const&, double, double) /home/abv/occt/src/IntCurvesFace/IntCurvesFace_ShapeIntersector.cxx:98:33
    0000002 0x7fecf96dad0c in OCC17424(Draw_Interpretor&, int, char const**) /home/abv/occt/src/QABugs/QABugs_11.cxx:4554:15
    #3 0x7fed0c24c349 in Draw_Interpretor::CallBackDataFunc::Invoke(Draw_Interpretor&, int, char const**) /home/abv/occt/src/Draw/Draw_Interpretor.hxx:81:31
    #4 0x7fed0c259b7d in CommandCmd(void*, Tcl_Interp*, int, char const**) /home/abv/occt/src/Draw/Draw_Interpretor.cxx:154:40
    #5 0x7fed065e9b95 in TclInvokeStringCommand (/usr/lib/x86_64-linux-gnu/libtcl8.6.so+0x38b95)

SUMMARY: AddressSanitizer: alloc-dealloc-mismatch (/home/abv/tmp/occt-clang/lin64/clang/bini/DRAWEXE-7.4.0+0x5174e0) in operator delete(void*)
==3012==HINT: if you don't care about these errors you may set ASAN_OPTIONS=alloc_dealloc_mismatch=0
==3012==ABORTING
Steps To ReproduceN/A
Additional information
and documentation updates
Class IntCurvesFace_ShapeIntersector needs to be refactored as a whole:

- Use typed collections instead of void* buffers
- Use English words to name variables (instead of French)
- Follow OCCT coding rules in names of variables and formatting
TagsNo tags attached.
Test case numberNot required

Relationships

parent of 0032902 newazv Modeling Data - Get rid of BRepTopAdaptor_SeqOfPtr 
child of 0030557 newvpozdyayev Coding - eliminate errors reported by -fsanitize 
Not all the children of this issue are yet resolved or closed.

Activities

git

2022-02-08 18:53

administrator   ~0106803

Branch CR31009 has been created by AndreyLA.

SHA-1: 2fb0baf32cfb4a8f3078d63d4bf4fe2b786d5f34


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Tue Feb 8 18:53:18 2022 +0300

    Refactoring of class IntCurvesFace_ShapeIntersector
    
    * Memory leaks fixes
    * Comments translated from French to English
    * Code guidelines improvements

git

2022-02-08 19:34

administrator   ~0106804

Branch CR31009 has been updated by AndreyLA.

SHA-1: e4eae40099ffaa2e8d6401720688941c2ec58cee


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Tue Feb 8 19:34:43 2022 +0300

    Update IntCurvesFace_ShapeIntersector.cxx

git

2022-02-09 10:08

administrator   ~0106813

Branch CR31009 has been updated by AndreyLA.

SHA-1: ec136c31415b4ff64d37d95df61e0ce9643846bc


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Wed Feb 9 10:08:04 2022 +0300

    Update FILES

git

2022-02-09 11:46

administrator   ~0106817

Branch CR31009_1 has been created by AndreyLA.

SHA-1: 958359f145b713cb88b6fd7c6fcd523f176af9d6


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Wed Feb 9 11:45:57 2022 +0300

    Update FILES

Author: Andrei LATYSHEV
Date: Tue Feb 8 20:10:40 2022 +0300

    Removal of old-style variables

git

2022-02-09 14:47

administrator   ~0106821

Branch CR31009 has been updated by AndreyLA.

SHA-1: 39f431be7e3cf11768945c11f578b521dc05dbac


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Wed Feb 9 14:23:32 2022 +0300

    Merge branch 'CR31009_1' into CR31009

git

2022-02-09 19:33

administrator   ~0106827

Branch CR31009 has been updated by AndreyLA.

SHA-1: cdfe50332f65a0f4cf3179a8d431d936384e0c0e


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Wed Feb 9 19:33:17 2022 +0300

    Fix for regressions

git

2022-02-11 13:50

administrator   ~0106843

Branch CR31009 has been updated by AndreyLA.

SHA-1: bd7cb9d83d341dd99ec9e242fbb7f1b2a454ab54


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Fri Feb 11 13:50:09 2022 +0300

    Update IntCurvesFace_ShapeIntersector.cxx

git

2022-02-14 15:11

administrator   ~0106892

Branch CR31009 has been updated by AndreyLA.

SHA-1: d1557b5da4b9dcee19517391d2586c14bf34f81f


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Mon Feb 14 15:11:00 2022 +0300

    Refactoring IntCurveFace_* (next steps)

AndreyLA

2022-02-15 11:23

viewer   ~0106902

Please review branch CR31009
Test results are attached:
http://jenkins-test-occt/view/CR31009-master-ALATYSHE/view/ALL/

kgv

2022-02-15 11:49

developer   ~0106904

Dear @AndreyLA, please follow bug advancement workflow.

https://dev.opencascade.org/doc/overview/html/occt_contribution__contribution_workflow.html

git

2022-02-16 11:14

administrator   ~0106917

Branch CR31009_1 has been deleted by AndreyLA.

SHA-1: 958359f145b713cb88b6fd7c6fcd523f176af9d6

git

2022-02-16 12:13

administrator   ~0106918

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 08a4b0d91513ff9f4f2b612f5d075a2dbcd39369

git

2022-02-16 12:14

administrator   ~0106919

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 9cae0b0c9896f30d6f8166c938dd957563f428a8

kgv

2022-02-16 14:59

developer   ~0106932

Please do not use tabulation symbols in new code.

git

2022-02-18 18:55

administrator   ~0106977

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 88ebadbb2cc5bb891887f71d7a64a64627e9b646

azv

2022-02-26 14:48

administrator   ~0107070

Last edited: 2022-02-26 14:52

src/IntCurvesFace/IntCurvesFace_ShapeIntersector.hxx

85:        return(myIndexPt.Length());

No need to enclose in brackets the returned value.

===========================

92:        Handle(IntCurvesFace_Intersector) aHandle = myIntersector(myIndexFace(myIndexPt(I)));

Use more meaningful name instead of aHandle. And in all other places too.

===========================

156: protected:

To be removed.

===========================

src/IntCurvesFace/IntCurvesFace_ShapeIntersector.cxx

34: IntCurvesFace_ShapeIntersector::IntCurvesFace_ShapeIntersector() 
35: {
36:     myNbFaces = 0;
37:     myIsDone = Standard_False;
38:     myPtrNums.Nullify();
39:     myPtrIndexNums.Nullify();
40: }

Use direct initialization of members
IntCurvesFace_ShapeIntersector::IntCurvesFace_ShapeIntersector()
: myIsDone(Standard_False),
  myNbFaces(0)

and, please, keep the order of initializing members as it was defined in class declaration, because it is crucial for GCC compilers.

===========================

42: void IntCurvesFace_ShapeIntersector::Load(const TopoDS_Shape& theShape,
43:                      const Standard_Real theTol) 

Use appropriate indentation when substitute tabulation with spaces.

===========================

95:            auto aPtrNums = myPtrNums;
96:            auto aPtrIndexNums = myPtrIndexNums;

Please, avoid auto variables. Also, I do not see the necessity to use these local variables.

===========================

144:        myPtrNums->ChangeValue(anIndexFace) = myPtrNums->Value(anIndexFace) + 1;

should be
144:        myPtrNums->ChangeValue(anIndexFace) += 1;


===========================

166: //-- myPtrIntersector   : Sequence of the addresses 

myIntersector?

===========================

168: //-- myIndexFace        : Number of the face (of the intersector) of the point myIndexPt(i)
169: //-- myIndexIntPnt      : Number of the point  myIndexPt(i) of the intersection myIndexFace(myIndexPt(i))

"Index" instead of "Number"?

===========================

229: // Creation le 28 jan 98
230: // Created on the January, 28th, 1998

To be removed.

src/IntCurvesFace/IntCurvesFace_Intersector.cxx
src/IntCurvesFace/IntCurvesFace_Intersector.hxx
src/IntCurvesFace/IntCurvesFace_Intersector.lxx

These changes are not relevant for the issue is being solved, except that derivation from Standard_Transient. Moreover, the necessary macros should be added to IntCurvesFace_Intersector to provide the interfaces required for HANDLE classes.


General remarks:

1. Indentation in sources should be 2 (two) spaces (https://dev.opencascade.org/doc/overview/html/occt_contribution__coding_rules.html#occt_coding_rules_3)

2. Please, rebase to the current master before testing.

git

2022-03-01 16:37

administrator   ~0107118

Branch CR31009 has been updated by AndreyLA.

SHA-1: 6ffc82f4895199d6fc9787acc4c45c1bbdf7e379


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Tue Mar 1 16:37:55 2022 +0300

    Review fixes

git

2022-03-01 16:39

administrator   ~0107119

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 59d6a5b0e439217a58856a2a13bb69e974900365

git

2022-03-01 16:40

administrator   ~0107120

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 8ce6f99508a417d821e136892ca303388fe3b463

kgv

2022-03-03 01:56

developer   ~0107154

+  Handle(TColStd_HArray1OfInteger) myPtrNums;

I guess TColStd_Array1OfInteger should be enough for this use case.

+  ~IntCurvesFace_ShapeIntersector()
+  {
+    Destroy();
+  }

Destroy() - is an artifact of legacy destructors and could be removed (replaced by normal C++ destructor).

git

2022-03-03 22:38

administrator   ~0107177

Branch CR31009 has been updated by AndreyLA.

SHA-1: edb3422208ee998d96aa092c795db3bcf5d2ac2d


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Thu Mar 3 22:38:46 2022 +0300

    Review fixes

git

2022-03-03 22:39

administrator   ~0107178

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 92ae0cccb7c440e643ddd6b789c84ee5ba8229aa

git

2022-03-04 13:56

administrator   ~0107185

Branch CR31009 has been updated by AndreyLA.

SHA-1: 81362fe75e21dbf2d26b24cc241d257e099cf4d3


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Fri Mar 4 13:56:41 2022 +0300

    Handles fixes

git

2022-03-04 19:12

administrator   ~0107188

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 1ca13f738042b2cde208b6d3a5d2f207acb8a0e7

azv

2022-03-16 17:34

administrator   ~0107307

src/IntCurvesFace/IntCurvesFace_ShapeIntersector.hxx

26:#include <BRepTopAdaptor_SeqOfPtr.hxx>

No need to keep this include.


155:  TColStd_HArray1OfInteger myPtrNums;
156:  TColStd_HArray1OfInteger myPtrIndexNums;

Kirill proposed to use TColStd_Array1OfInteger instead of TColStd_HArray1OfInteger (the latter is for Handle()).


139:-  TColStd_SequenceOfInteger IndexFace;
140:-  TColStd_SequenceOfInteger IndexIntPnt;

159:+  TColStd_SequenceOfInteger myNumberFace;
160:+  TColStd_SequenceOfInteger myNumberIntPnt;

Why did you change "Index" to "Number"? My previous remarks was about comment in *.cxx file only.


src/IntCurvesFace/IntCurvesFace_ShapeIntersector.cxx

70:if(myNbFaces > 2) 
71:{  
72:  if (myPtrNums.IsEmpty())
73:  { 

Wrong indentation.


src/IntCurvesFace/IntCurvesFace_Intersector.cxx

140:  myPolyhedron(NULL),
141:  myBndBounding(NULL),

To be removed

404:      IntCurveSurface_ThePolyhedronToolOfHInter::ComponentsBounding(*aPolyhedron));

469:      IntCurveSurface_ThePolyhedronToolOfHInter::ComponentsBounding(*aPolyhedron));

513: IntCurvesFace_Intersector::~IntCurvesFace_Intersector()
514: {
515: }

Update indentation.

git

2022-03-17 21:07

administrator   ~0107340

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 76b3b070070fd839b0905aa8634b41d5a2bb2208

git

2022-03-17 22:20

administrator   ~0107341

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 4a35d5a65060e1b70a9abda3c1a1af5c728bc2ae

azv

2022-03-21 20:51

administrator   ~0107382

src/IntCurvesFace/IntCurvesFace_Intersector.cxx

1. Wrong indentation
383:  if(parinf>pinf) parinf = pinf;
384:  if(parsup<psup) parsup = psup;


src/IntCurvesFace/IntCurvesFace_ShapeIntersector.cxx

2. Remove empty line 216.


src/IntCurvesFace/IntCurvesFace_ShapeIntersector.hxx

3. Should be
26:#include <TColStd_Array1OfInteger.hxx>

instead of
26:#include <TColStd_HArray1OfInteger.hxx>

git

2022-03-24 17:45

administrator   ~0107423

Branch CR31009 has been updated forcibly by AndreyLA.

SHA-1: 95fcadd53b2d887c8347f58c3a407983a7fd7e20

azv

2022-03-25 07:29

administrator   ~0107429

Dear @bugmaster, could you assign someone to verify the reported problem disappears?

Dear @abv, could you remember the OS configuration? Exact version of Linux, you used, and CLang compiler. It would really help the Test team.

Branches to integrate:
OCCT: CR31009
Products: NOT

smoskvin

2022-03-28 18:39

administrator   ~0107450

Problem with compiling JAVA sample and CSharp sample on Windows
http://jenkins-test-08.nnov.opencascade.com/view/IR-2022-03-25/view/SAMPLES/job/IR-2022-03-25-Products-Windows-64-VC14-sample-java/5/parsed_console/

git

2022-04-01 09:04

administrator   ~0107529

Branch CR31009 has been updated forcibly by azv.

SHA-1: 02187179bc7f3efcb8fbad04b1f95a640a20d8c0

kgv

2022-04-01 10:35

developer   ~0107535

Last edited: 2022-04-01 10:35

-class Bnd_BoundSortBox 
+class Bnd_BoundSortBox : public Standard_Transient
...
 
-class IntCurveSurface_ThePolyhedronOfHInter 
+DEFINE_STANDARD_HANDLE(IntCurveSurface_ThePolyhedronOfHInter, Standard_Transient)
+
+class IntCurveSurface_ThePolyhedronOfHInter : public Standard_Transient

It might be simpler using NCollection_Shared or std::unique_ptr for these local places.

git

2022-04-01 17:36

administrator   ~0107546

Branch CR31009 has been updated forcibly by azv.

SHA-1: fa2a38301003a54c308a33ffb87bfe5756de6002

azv

2022-04-02 21:45

administrator   ~0107570

Kirill,

Thanks for the hint. Unfortunately, NCollection_Shared is not applicable here, because it does not implement a constructor with large number of parameters, so, I used std::unique_ptr there. I still kept IntCurvesFace_Intersector class to be Handle.

Could you review following branches:
OCCT: CR31009
Products: CR31009
Test results: http://jenkins-test-occt/view/CR31009-CR31009-AZV/view/COMPARE/

kgv

2022-04-04 11:14

developer   ~0107583

I see there is a one more place using dangerous type `BRepTopAdaptor_SeqOfPtr` in OCCT - `IntTools_FClass2d`.
Please register a new task for the other place, or cover both places in scope of this fix.

smoskvin

2022-04-09 09:49

administrator   ~0107782

Combination -
OCCT branch : IR-2022-04-08
master SHA - 7021de2fe7a69d4c788ccf43b8b096dbcc8597c8
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-08 SHA - e16d959d441765c483049307ba7293173532103a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18452.87000000039 / 18490.94000000032 [-0.21%]
Products
Total CPU difference: 11761.310000000152 / 11719.920000000124 [+0.35%]
Windows-64-VC14:
OCCT
Total CPU difference: 20539.828125 / 20552.71875 [-0.06%]
Products
Total CPU difference: 13248.21875 / 13242.609375 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-10 10:49

administrator   ~0107812

Branch CR31009 has been deleted by mnt.

SHA-1: fa2a38301003a54c308a33ffb87bfe5756de6002

Related Changesets

occt: master 1f000e59

2022-02-08 18:53:18

AndreyLA


Committer: smoskvin Details Diff
0031009: Modeling Algorithms - leak reported by Clang address sanitizer in IntCurvesFace_ShapeIntersector

Refactor IntCurvesFace_ShapeIntersector. Use handles and std::unique_ptr instead of raw pointers.
Affected Issues
0031009
mod - src/IntCurvesFace/FILES Diff File
mod - src/IntCurvesFace/IntCurvesFace_Intersector.cxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_Intersector.hxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_ShapeIntersector.cxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_ShapeIntersector.hxx Diff File
rm - src/IntCurvesFace/IntCurvesFace_ShapeIntersector.lxx Diff File

occt-products: master af72cb6d

2022-04-01 09:04:28

azv


Committer: smoskvin Details Diff
0031009: Modeling Algorithms - leak reported by Clang address sanitizer in IntCurvesFace_ShapeIntersector

Update wrapper for IntCurvesFace_Intersector according to changes in OCCT.
Affected Issues
0031009
mod - samples/swig/TKTopAlgo.i Diff File

Issue History

Date Modified Username Field Change
2019-09-28 09:26 abv New Issue
2019-09-28 09:26 abv Assigned To => msv
2019-09-28 09:27 abv Relationship added child of 0030557
2019-10-02 08:10 abv Additional Information Updated
2020-09-14 23:15 msv Target Version 7.5.0 => 7.6.0
2021-08-29 18:53 msv Target Version 7.6.0 => 7.7.0
2022-02-01 14:15 azv Assigned To msv => AndreyLA
2022-02-08 18:53 git Note Added: 0106803
2022-02-08 19:34 git Note Added: 0106804
2022-02-09 10:08 git Note Added: 0106813
2022-02-09 11:46 git Note Added: 0106817
2022-02-09 14:47 git Note Added: 0106821
2022-02-09 19:33 git Note Added: 0106827
2022-02-11 13:50 git Note Added: 0106843
2022-02-14 15:11 git Note Added: 0106892
2022-02-15 11:23 AndreyLA Assigned To AndreyLA => azv
2022-02-15 11:23 AndreyLA Status new => resolved
2022-02-15 11:23 AndreyLA Steps to Reproduce Updated
2022-02-15 11:23 AndreyLA Note Added: 0106902
2022-02-15 11:49 kgv Assigned To azv => AndreyLA
2022-02-15 11:49 kgv Note Added: 0106904
2022-02-15 11:49 kgv Status resolved => assigned
2022-02-15 11:50 kgv Product Version => 7.6.0
2022-02-16 11:14 git Note Added: 0106917
2022-02-16 12:13 git Note Added: 0106918
2022-02-16 12:14 git Note Added: 0106919
2022-02-16 14:54 AndreyLA Assigned To AndreyLA => azv
2022-02-16 14:54 AndreyLA Status assigned => resolved
2022-02-16 14:59 kgv Note Added: 0106932
2022-02-18 18:55 git Note Added: 0106977
2022-02-26 14:48 azv Assigned To azv => AndreyLA
2022-02-26 14:48 azv Status resolved => assigned
2022-02-26 14:48 azv Note Added: 0107070
2022-02-26 14:52 azv Note Edited: 0107070
2022-03-01 16:37 git Note Added: 0107118
2022-03-01 16:39 git Note Added: 0107119
2022-03-01 16:40 git Note Added: 0107120
2022-03-02 21:47 AndreyLA Assigned To AndreyLA => abv
2022-03-02 21:48 AndreyLA Assigned To abv => azv
2022-03-03 01:56 kgv Note Added: 0107154
2022-03-03 22:38 git Note Added: 0107177
2022-03-03 22:39 git Note Added: 0107178
2022-03-04 13:56 git Note Added: 0107185
2022-03-04 19:12 git Note Added: 0107188
2022-03-04 19:14 AndreyLA Assigned To azv => AndreyLA
2022-03-04 19:15 AndreyLA Assigned To AndreyLA => abv
2022-03-04 19:15 AndreyLA Assigned To abv => azv
2022-03-16 17:34 azv Assigned To azv => AndreyLA
2022-03-16 17:34 azv Note Added: 0107307
2022-03-17 21:07 git Note Added: 0107340
2022-03-17 22:20 git Note Added: 0107341
2022-03-18 14:31 AndreyLA Assigned To AndreyLA => azv
2022-03-18 21:48 azv Status assigned => resolved
2022-03-21 20:51 azv Assigned To azv => AndreyLA
2022-03-21 20:51 azv Status resolved => assigned
2022-03-21 20:51 azv Note Added: 0107382
2022-03-24 17:45 git Note Added: 0107423
2022-03-24 18:36 AndreyLA Assigned To AndreyLA => azv
2022-03-24 18:38 AndreyLA Assigned To azv => msv
2022-03-24 18:38 AndreyLA Status assigned => resolved
2022-03-24 18:39 AndreyLA Assigned To msv => azv
2022-03-25 07:29 azv Assigned To azv => bugmaster
2022-03-25 07:29 azv Status resolved => reviewed
2022-03-25 07:29 azv Note Added: 0107429
2022-03-28 18:39 smoskvin Assigned To bugmaster => AndreyLA
2022-03-28 18:39 smoskvin Status reviewed => assigned
2022-03-28 18:39 smoskvin Note Added: 0107450
2022-03-29 13:24 azv Assigned To AndreyLA => azv
2022-04-01 09:04 git Note Added: 0107529
2022-04-01 10:35 kgv Note Added: 0107535
2022-04-01 10:35 kgv Note Edited: 0107535
2022-04-01 17:36 git Note Added: 0107546
2022-04-02 21:45 azv Assigned To azv => kgv
2022-04-02 21:45 azv Status assigned => resolved
2022-04-02 21:45 azv Note Added: 0107570
2022-04-04 11:14 kgv Note Added: 0107583
2022-04-04 11:15 kgv Assigned To kgv => azv
2022-04-04 11:15 kgv Status resolved => feedback
2022-04-04 12:59 azv Relationship added parent of 0032902
2022-04-04 17:46 kgv Assigned To azv => bugmaster
2022-04-04 17:46 kgv Status feedback => reviewed
2022-04-09 09:49 smoskvin Status reviewed => tested
2022-04-09 09:49 smoskvin Note Added: 0107782
2022-04-09 09:52 smoskvin Test case number => Not required
2022-04-10 10:42 smoskvin Changeset attached => occt master 1f000e59
2022-04-10 10:42 AndreyLA Assigned To bugmaster => AndreyLA
2022-04-10 10:42 AndreyLA Status tested => verified
2022-04-10 10:42 AndreyLA Resolution open => fixed
2022-04-10 10:42 smoskvin Changeset attached => occt-products master af72cb6d
2022-04-10 10:42 azv Assigned To AndreyLA => azv
2022-04-10 10:49 git Note Added: 0107812